Bug 159873 - security/libgcrypt needs libgpg error > 1.8
Summary: security/libgcrypt needs libgpg error > 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-18 15:20 UTC by Michael Scheidell
Modified: 2011-09-17 23:00 UTC (History)
0 users

See Also:


Attachments
file.diff (633 bytes, patch)
2011-08-18 15:20 UTC, Michael Scheidell
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Scheidell 2011-08-18 15:20:07 UTC
when compiling libgcrypt, we get this error:


checking for gpg-error-config... /usr/local/bin/gpg-error-config
checking for GPG Error - version >= 1.8... no
configure: error: libgpg-error is needed.
                See ftp://ftp.gnupg.org/gcrypt/libgpg-error/ .
===>  Script "configure" failed unexpectedly.

even though the depends is looking for this:

===>  Applying FreeBSD patches for libgcrypt-1.5.0
===>   libgcrypt-1.5.0 depends on package: libtool>=2.4 - found
===>   libgcrypt-1.5.0 depends on shared library: gpg-error.0 - found
===>  Configuring for libgcrypt-1.5.0
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel

Fix: change LIB_DEPENDS to both RUN and BUILD depends
(note: don't set BUILD_DEPENDS=RUN_DEPENDS. TAKES IN TOO MUCH)

patch below, quick, easy one.

How-To-Repeat: compile libgcrypt with libgpg error of < 1.8
Comment 1 Stefan Walter freebsd_committer 2011-09-04 14:20:12 UTC
State Changed
From-To: open->feedback

Ask maintainer for feedback.
Comment 2 Stefan Walter freebsd_committer 2011-09-04 14:22:31 UTC
Dear maintainer of security/libgcrypt,

a problem report has been submitted for your port for which your 
feedback might be required; its contents can be found at [1]. If it 
contains a patch or suggestions for a change, please send a followup to 
the PR explaining whether or not you approve it and want it to be 
committed.

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159873
Comment 3 Hirohisa Yamaguchi 2011-09-11 21:04:23 UTC
Hi,

I see the problem described in the PR ports/159873.
The patch in the PR looks okay.
I approve it, thanks.

At Sun, 4 Sep 2011 15:22:31 +0200,
Stefan Walter wrote:
> a problem report has been submitted for your port for which your
> feedback might be required; its contents can be found at [1]. If it
> contains a patch or suggestions for a change, please send a followup to
> the PR explaining whether or not you approve it and want it to be
> committed.

> [1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159873


Regards,
--

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-09-11 22:22:50 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Pawel Pekala freebsd_committer 2011-09-17 20:52:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter service freebsd_committer 2011-09-17 22:56:31 UTC
pawel       2011-09-17 21:56:22 UTC

  FreeBSD ports repository

  Modified files:
    security/libgcrypt   Makefile 
  Log:
  Require ligpg-error>=1.8 to build succesfully
  
  PR:             ports/159873
  Submitted by:   Michael Scheidell <scheidell@secnap.net>
  Approved by:    maintainer, miwi, wen (mentors implicit)
  
  Revision  Changes    Path
  1.51      +2 -1      ports/security/libgcrypt/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2011-09-17 22:57:52 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!